---
lang: en
title: 'API docs: core.lifecycleobserverregistry._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [(constructor)](./core.lifecycleobserverregistry._constructor_.md)

## LifeCycleObserverRegistry.(constructor)

Constructs a new instance of the `LifeCycleObserverRegistry` class

**Signature:**

```typescript
constructor(context: Context, observersView: ContextView<LifeCycleObserver>, options?: LifeCycleObserverOptions);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

context


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

observersView


</td><td>

[ContextView](./context.contextview.md)<!-- -->&lt;[LifeCycleObserver](./core.lifecycleobserver.md)<!-- -->&gt;


</td><td>


</td></tr>
<tr><td>

options


</td><td>

[LifeCycleObserverOptions](./core.lifecycleobserveroptions.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


